### Method

# Snapd Client get_changes_async

since: 1.29

#### Declaration [src]

    void
    snapd_client_get_changes_async (
      SnapdClient* client,
      SnapdChangeFilter filter,
      const gchar* snap_name,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously get changes that have occurred / are occurring on the snap daemon. See `snapd_client_get_changes_sync()` for more information.

Available since: 1.29

This method completes asynchronously. Use `snapd_client_get_changes_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`filter`

  Type: `SnapdChangeFilter`

  Changes to filter on.

`snap_name`

  Type: `const gchar*`

  Name of snap to filter on or `NULL` for changes for any snap.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.